메인 콘텐츠로 건너뛰기
POST
/
augment
/
search
/api/v1/augment/search
curl --request POST \
  --url https://api.venice.ai/api/v1/augment/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "latest news about AI",
  "limit": 10,
  "search_provider": "brave"
}
'
{
  "query": "<string>",
  "results": [
    {
      "title": "<string>",
      "url": "<string>",
      "content": "<string>",
      "date": "<string>"
    }
  ]
}
이것은 실험적 API입니다. 요청 및 응답 형식은 사전 통보 없이 변경될 수 있습니다.
query 필드에 검색 쿼리를 보내세요. API는 제목, URL, 콘텐츠 스니펫 및 날짜를 포함한 구조화된 결과를 반환합니다. 검색 제공자:
  • brave (기본) — Zero Data Retention(ZDR)이 적용된 Brave Search. 검색 쿼리는 검색 제공자에 의해 저장되거나 기록되지 않습니다.
  • google — 익명화된 쿼리를 사용한 Google Search. 검색은 Venice의 인프라를 통해 프록시되므로 사용자의 신원이 Google로 전송된 검색 요청과 연관되지 않습니다. Venice는 검색 쿼리를 저장하거나 기록하지 않습니다.
가격: 요청당 $0.01.

예제 (cURL)

curl -X POST https://api.venice.ai/api/v1/augment/search \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"query": "latest news about AI"}'

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

본문

application/json
query
string
필수

The search query

Required string length: 1 - 400
예시:

"latest news about AI"

limit
integer
기본값:10

Maximum number of results to return (default: 10, max: 20)

필수 범위: 1 <= x <= 20
예시:

10

search_provider
enum<string>

Search provider to use. "brave" uses Brave Search with Zero Data Retention (ZDR) for maximum privacy — search queries are never stored or logged. "google" uses Google Search with anonymized queries — searches are proxied through Venice's infrastructure so that your identity is not associated with the search request sent to Google. Venice does not store or log search queries. Defaults to "brave".

사용 가능한 옵션:
google,
brave
예시:

"brave"

응답

Successfully executed search

query
string
필수

The search query that was executed

results
object[]
필수

The search results